Skip to main content
PUT
/
rewards
/
addresses
/
{id}
Update a reward address
curl --request PUT \
  --url https://api.example.com/rewards/addresses/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "payout_group_id": "<string>"
}
'
{
  "address": {
    "id": "<string>",
    "ledger": "ETHEREUM",
    "address": "<string>",
    "name": "<string>",
    "payout_group_id": "<string>",
    "balance": "<string>",
    "status": "<string>",
    "created_at": "2023-11-07T05:31:56Z"
  }
}
OAuth Scope
rewards:write_monitoring_address

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

Address ID used as the URL path parameter. Must match address.id when both are provided.

Body

application/json
name
string
payout_group_id
string

UUID of the payout group this address belongs to.

Response

200 - application/json

A successful response.

address
All data associated with an attribution address · object